=== debian/changelog ===
ros-ardent-rclpy (0.4.0-0xenial) xenial; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Esteve Fernandez <esteve@osrfoundation.org>  Sat, 09 Dec 2017 08:03:22 -0000
